package com.pstreets.guice.demo;


import com.google.inject.Inject;
import com.google.inject.name.Named;
import com.mapdigit.drawing.Color;
import com.mapdigit.drawing.Pen;
import com.mapdigit.drawing.SolidBrush;
import com.mapdigit.drawing.geometry.AffineTransform;
import com.mapdigit.drawing.geometry.IShape;
import com.pstreets.guice.demo.annotation.Rectangle;
import com.pstreets.guice.demo.annotation.Square;


public class BindingAnnotationsDemo extends Graphics2DActivity{
	
	//@Inject @Rectangle IShape  shape1;
	//@Inject @Square IShape  shape2;
	
	@Inject @Named("Rectangle") IShape shape1;
	@Inject @Named("Square") IShape shape2;
	
	protected void drawImage(){
		

	    /**
	     * The semi-opaque blue color in 
	     * the ARGB space (alpha is 0x78)
	     */
	    Color blueColor = new Color(0x780000ff,true);
	    /**
	     * The semi-opaque green color in the ARGB space (alpha is 0x78)
	     */
	    Color greenColor = new Color(0x7800ff00,true);


	    graphics2D.clear(Color.WHITE);
	    graphics2D.Reset();
        
        SolidBrush brush=new SolidBrush(blueColor);
        
        graphics2D.fill(brush,shape1);
        AffineTransform at = new AffineTransform();
        at.translate(20, 20);
        graphics2D.setAffineTransform(at);
        brush=new SolidBrush(greenColor);
        graphics2D.fill(brush,shape2);
        

	    
	}

}
